id: d6_user
label: User accounts
migration_tags:
  - Drupal 6
source:
  plugin: d6_user
process:
  uid: uid
  name: name
  pass: pass
  mail: mail
  created: created
  access: access
  login: login
  status: status
  timezone:
    plugin: user_update_7002
    source: timezone
  preferred_langcode: language
  init: init
  roles:
    plugin: migration
    migration: d6_user_role
    source: roles
  user_picture:
    plugin: migration
    migration: d6_user_picture_file
    source: uid
destination:
  plugin: entity:user
  md5_passwords: true
migration_dependencies:
  required:
    - d6_user_role
  optional:
    - d6_user_picture_file
    - user_picture_entity_display
    - user_picture_entity_form_display
